package cn.fastfun.controller.dto.asset;

import lombok.Data;

import java.math.BigDecimal;

/**
 * @author zyg
 * @date 2021年11月11日 15:46
 */
@Data
public class SummaryCentAndDepositDto {
    /**
     * 租金收入
     */
    private BigDecimal cent;
    /**
     * 押金收取
     */
    private BigDecimal deposit;
    /**
     * 丢失保障金
     */
    private BigDecimal security;
    /**
     * 净收入
     */
    private BigDecimal netIncome;
    /**
     * 当前租期开始时间
     */
    private String orderStartTime;
    /**
     * 当前租期结束时间
     */
    private String orderEndTime;
    /**
     * 当前租金
     */
    private BigDecimal currentCent;
    /**
     * 当前押金
     */
    private BigDecimal currentDeposit;
}
