package cn.fastfun.service;

import cn.fastfun.service.entity.AppDevice;
import cn.fastfun.service.repository.AppDeviceRepository;

import com.bridge.dto.ApiPageDTO;
import com.bridge.service.JpaService;

import java.util.List;
import java.util.Map;

/**
 * 设备相关服务
 */
public interface AppDeviceService extends JpaService<AppDevice, String> {

    /**
     * excel导入设备
     */
    void importDevice(List<Map<String, Object>> list);

    /**
     * 获得repository
     */
    AppDeviceRepository getRepository();

    /**
     * imei号分拆赋值
     */
    void addImeiTitle(AppDevice device);

    ApiPageDTO batchNumPageQuery();

}
