package cn.fastfun.service.enums;

/**
 * @author user
 * @Project：boss
 * @ClassName：设备动作
 * @Describe：TODO
 */
public enum EnumDeviceAction {
    /**
     * 设备动作
     */
    PRODUCTION(0, "生产"),
    OSS_STORAGE(20, "OSS入库"),
    OSS_HANDLE(21, "OSS处置"),
    OSS_CALLBACK(22, "OSS回调"),
    STORAGE_TRANSPORTATION(1, "入库运输"),
    STORAGE(2, "平台入库"),
    TO_STORE(3, "发货至网点"),
    SWAP_STORE(24, "网点换货"),
    TO_PLANT(23, "回货"),
    TO_MERCHANT(4, "发货至商户"),
    STORE_RECEIVED(5, "网点到货"),
    MERCHANT_RECEIVED(6, "商户到货"),
    STORE_RENT(7, "网点出租"),
    STORE_RETURN(8, "网点归还"),
    MERCHANT_RENT(9, "商户出租"),
    MERCHANT_RETURN(10, "商户归还"),
    REPAIR(13, "送修"),
    REPAIR_START(14, "维修开始"),
    REPAIR_DONE(15, "维修完成"),
    TO_STORE_AFTER_REPAIR(16, "维修完成送回网点"),
    TO_PLATFORM_AFTER_REPAIR(17, "维修完成送回平台"),
    SCRAP(18, "报废"),
    LOSE(19, "丢失"),


    ;
    Integer value;
    String text;

    EnumDeviceAction(Integer value, String text) {
        this.value = value;
        this.text = text;
    }

    public Integer getValue() {
        return value;
    }

    public void setValue(Integer value) {
        this.value = value;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

}
