package cn.fastfun.controller.dto.asset;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author user
 */
@Data
public class RentAndDepositDto {
    /**
     * 设备sn
     */
    private String sn;
    /**
     * 事件发生时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private String orderTime;
    /**
     * 金额
     */
    private BigDecimal amount;
    /**
     * 事件动作名称
     */
    private String orderNo;
    /**
     * 1 押金-收 2押金-支 3租金-收 4租金-支 5丢失保障金
     */
    private Integer type;

    /**
     * 说明
     */
    private String remark;
}
